/*
 * PC-Show - A crossplatform imageviewer, including integrated 
 * functionality with PC-Praxis.
 *
 * Copyright (C) 2004  Bent Bisballe Jensen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
 
#ifndef __FILECACHE_H__
#define __FILECACHE_H__

#include "watchfile.h"

#include <wx/arrstr.h>
#include <wx/image.h>

class FileCache {
public:
	FileCache(Watchfile* wf);
	~FileCache();

	// Checks the cache, and updates it. Return true if changed.
	bool check();

	// Clears the cache.
	void clear();

	wxArrayString *getFileList();

private:
	bool isImage(const wxChar* cfname);
	bool compare(wxArrayString *a1, wxArrayString *a2);
	Watchfile *watchfile;
	wxArrayString *filecache;
};

#endif
