/*
 * PC-Show - A crossplatform imageviewer, including integrated 
 * functionality with PC-Praxis.
 *
 * Copyright (C) 2004  Bent Bisballe Jensen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
 
#ifndef __FILESELECTOR_H__
#define __FILESELECTOR_H__

#include <wx/listctrl.h>
#include <wx/imaglist.h>

#include "fileselectoritem.h"
#include "image.h"
#include "linkedlist.h"
#include "filecache.h"


class FileSelector: public wxListView {
public:
	FileSelector(wxWindow* parent);
	~FileSelector();

	void clear();
	void refresh(FileCache *filecache);
	void loadNextThumbnail(FileSelectorItem *item);

	// Keyboard navigation control functions:
	void space(bool shift, bool ctrl);
	void up(bool shift, bool ctrl);
	void down(bool shift, bool ctrl);

private:
	void removeSelection();
	int startShiftSel;

	void evtOnKeyDown(wxKeyEvent& event);
	void evtOnLostFocus(wxFocusEvent& WXUNUSED(event) );

//	void speedKey(wxCommandEvent& event);
	void evtOnDblClick(wxMouseEvent& WXUNUSED(event) );
	
	wxBitmap *getThumbnail(wxString file);
	wxImageList *imagelist;

	DECLARE_EVENT_TABLE()
};

#endif
