/*
 * PC-Show - A crossplatform imageviewer, including integrated 
 * functionality with PC-Praxis.
 *
 * Copyright (C) 2004  Bent Bisballe Jensen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __FILESELECTORITEM_H__
#define __FILESELECTORITEM_H__

#include "image.h"

#include <wx/image.h>

class FileSelectorItem {
public:
	FileSelectorItem(Image* img);
	~FileSelectorItem();

	wxString *getName();
	wxString *getDate();
	wxString *getPath();

	Image* getImage();

	void setIndex(int idx);
	int getIndex();

	wxBitmap *getThumbnail();
	wxBitmap *getThumbnailOnLoad(wxWindow *main);
	
private:
	Image* image;

	wxBitmap *thumbnail;
	wxString *thumbnailpath;
	wxString *thumbnailfile;

	int index;
};

#endif
