/*
 * PC-Show - A crossplatform imageviewer, including integrated 
 * functionality with PC-Praxis.
 *
 * Copyright (C) 2004  Bent Bisballe Jensen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
 
#ifndef __GLOBAL_H__
#define __GLOBAL_H__

//#include <memory.h>

#include <wx/wx.h>

#define THUMBNAILDIR ".thumbnails"
#define DEFAULT_ICON "default.png"
#define BADFILE_EXTENSION ".badimage"

// Enable on-screen debug information.
//#define AA__DEBUG

// Enable verbose function printing
#ifndef __WXMSW__
//	#define AA__VERBOSE
#endif

#ifdef AA__DEBUG
	#define DEBUGPRINT(x) fprintf(stderr, x);
	#define DEBUGPRINTPAR(x, y) fprintf(stderr, x, y);
	#define DEBUGPRINTPARPAR(x, y, z) fprintf(stderr, x, y, z);
#else /*AA__DEBUG*/
	#define DEBUGPRINT(x) ;//fprintf(stderr, x);
	#define DEBUGPRINTPAR(x, y) ;//fprintf(stderr, x, y);
	#define DEBUGPRINTPARPAR(x, y, z) ;//fprintf(stderr, x, y, z);
#endif /*AA__DEBUG*/

#ifdef AA__VERBOSE
	#define AA fprintf(stderr, "--------[ %s: %s ( %d ) ]\n", __BASE_FILE__, __FUNCTION__, __LINE__);
#else /*AA__VERBOSE*/
	#define AA
#endif /*AA__VERBOSE*/

#endif
