/*
 * PC-Show - A crossplatform imageviewer, including integrated 
 * functionality with PC-Praxis.
 *
 * Copyright (C) 2004  Bent Bisballe Jensen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __IMAGE_H__
#define __IMAGE_H__


#include <wx/image.h>

class Comment {
public:
	Comment();
	~Comment();
	void remove();

private:
	Comment *prev;
	Comment *next;
};

class Image {
public:
	Image(wxString &file);
	~Image();
/*
	void addComment(wxString *comment);
	void addNote(wxString *note, wxPoint *point);
*/
	wxImage  *getImage();
	wxString *getName();
	wxString *getDate();
	wxString *getPath();

	void connect();
	void disconnect();
	bool isInUse();

	void showFullscreen();
	
private:
	wxString *path;
	wxString *name;
	wxString *date;
	Comment	 *comments;
	wxImage  *image;

	int usage;

//	DECLARE_EVENT_TABLE()
};

#endif
