/*
 * PC-Show - A crossplatform imageviewer, including integrated 
 * functionality with PC-Praxis.
 *
 * Copyright (C) 2004  Bent Bisballe Jensen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __IMAGEMATRIX_H__
#define __IMAGEMATRIX_H__

#include <wx/list.h>
#include <wx/panel.h>
#include <wx/event.h>

#include "image.h"
#include "linkedlist.h"
#include "imagematrixitem.h"

#include "events.h"

class ImageMatrix: public wxPanel {
public:
	ImageMatrix(wxWindow* parent);
	~ImageMatrix();
	
	ImageMatrixItem *getSelected();
	
	void clear();

	void setSizes();
	
	void addImage(ImageMatrixItem *img);
	void removeImage(ImageMatrixItem *img);

	// Keyboard navigation control functions:
	void left();
	void right();

private:
	void evtOnKeyDown(wxKeyEvent& event);
//	void evtOnGotFocus(wxFocusEvent& WXUNUSED(event) );
	void evtOnSize(wxSizeEvent& event);
	void evtOnMouseClick(wxMouseEvent& event);
	void evtOnBtnCloseClick(wxCommandEvent& event);
	void evtOnInsertImage(wxCommandEvent& event);

	void setSelection(ImageMatrixItem *img);
	
	LinkedList *images;
		
	DECLARE_EVENT_TABLE()
};

#endif
