/*
 * PC-Show - A crossplatform imageviewer, including integrated 
 * functionality with PC-Praxis.
 *
 * Copyright (C) 2004  Bent Bisballe Jensen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __IMAGEMATRIXITEM_H__
#define __IMAGEMATRIXITEM_H__

#include <wx/image.h>
#include <wx/bitmap.h>
#include <wx/event.h>
#include <wx/button.h>
#include <wx/tglbtn.h>
#include <wx/stattext.h>
#include <wx/statbmp.h>
#include <wx/timer.h>

#include "image.h"
#include "fswindow.h"
#include "staticimage.h"

#include "events.h"

//Parameters for the packing method
#define CTRLH 20
#define MARGIN 2

class ImageMatrixItem : public wxPanel {
public:
	ImageMatrixItem(Image *img);
	~ImageMatrixItem();

	Image  *getImage();
	//wxImage  *getImage();

	wxString *getName();
	wxString *getDate();
	wxString *getPath();

	void pack();
//	void release();
//	bool isVisible();

	void setSelected(bool sel);
	bool isSelected();

	void showFullscreen();
	
private:
	Image *image;

	wxImage *smallimg; // Containing a smaller version of the image, for faster scaling.

	void evtOnSize(wxSizeEvent& event);
	void evtOnMouseClick(wxMouseEvent& event); 
	void evtOnBtnCloseClick(wxCommandEvent& event);
	
	wxBitmap		*bmpImage;	
	StaticImage		*imgImage;
	wxStaticText	*lblName;
	wxTextCtrl		*txtComment;
	wxToggleButton	*btnShowNotes;
	wxButton		*btnClose;

	bool selected;

	DECLARE_EVENT_TABLE()
};

#endif
