/*
 * PC-Show - A crossplatform imageviewer, including integrated 
 * functionality with PC-Praxis.
 *
 * Copyright (C) 2004  Bent Bisballe Jensen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __LINKEDLIST_H__
#define __LINKEDLIST_H__

#include "global.h"

//#define __DEBUG

class Link
{
public:
    Link(void* dta);
    ~Link();

	void* getData();
	void  setData(void* dta);
	Link* getNext();
	void  setNext(Link* nxt);
	Link* getPrev();
	void  setPrev(Link* prv);

private:
	void *data;
	Link *next;
	Link *prev;
};

class LinkedList
{
public:
    LinkedList();
    ~LinkedList();

	int   getSize();
	void  insert(void* obj);
	void  remove(void* obj);
	void* getFirst();
	void* getLast();
	void* startIteration();
	void* startIterationReversed();
	void* next();
	void* prev();

private:
	#ifdef __DEBUG
	void printlist();
	#endif
	int  size;
	Link *first;
	Link *last;
	Link *current;
};

#endif
