/*
 * PC-Show - A crossplatform imageviewer, including integrated 
 * functionality with PC-Praxis.
 *
 * Copyright (C) 2004  Bent Bisballe Jensen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
 
#ifndef __MAINWINDOWSPLITTER_H__
#define __MAINWINDOWSPLITTER_H__

#include <wx/splitter.h>
#include <wx/event.h>

class MainWindowSplitter : public wxSplitterWindow
{
public:
	MainWindowSplitter(wxWindow *wnd);
	~MainWindowSplitter();

private:
	void speedKey(wxCommandEvent& event);

	// Override these to avoid unsplitting errors
	void OnDoubleClickSash(int WXUNUSED(x), int WXUNUSED(y) );
	void OnUnsplit(wxWindow *WXUNUSED(removed) );
	bool OnSashPositionChange(int newSashPosition);

	DECLARE_EVENT_TABLE()
};

#endif
