/*
 * PC-Show - A crossplatform imageviewer, including integrated 
 * functionality with PC-Praxis.
 *
 * Copyright (C) 2004  Bent Bisballe Jensen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __OPTIONSWINDOW_H__
#define __OPTIONSWINDOW_H__

#include <wx/dialog.h>
#include <wx/list.h>

#include "options.h"

#include "events.h"

class OptionsWindow: public wxDialog
{
public:
	OptionsWindow(wxWindow *parent);
	~OptionsWindow();
	void DestroyChildren();
	void reset();

private:
	void evtOnOk(wxCommandEvent& WXUNUSED(event) );
	void evtOnCancel(wxCommandEvent& WXUNUSED(event) );
	void evtOnBrowseDir(wxCommandEvent& event);
	void evtOnBrowseFile(wxCommandEvent& event);
	
	wxList *children;
	wxButton *btnOk;
	wxButton *btnCancel;
	
	DECLARE_EVENT_TABLE()
};

#endif
